<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6f8f9"
    android:overScrollMode="never"
    android:scrollbars="none">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="15dp">


        <ImageView
            android:id="@+id/iv_header_bg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            android:scaleType="fitXY"
            android:src="@drawable/bg_login_header"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/view_status_bar"
            android:layout_width="match_parent"
            android:layout_height="1px"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:visibility="gone"
            android:id="@+id/iv_scan"
            android:paddingStart="12dp"
            android:paddingBottom="12dp"
            android:paddingTop="12dp"
            app:layout_constraintRight_toLeftOf="@+id/iv_setting"
            app:layout_constraintBottom_toBottomOf="@+id/iv_setting"
            app:layout_constraintTop_toTopOf="@+id/iv_setting"
            android:src="@drawable/icon_scan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <ImageView
            android:id="@+id/iv_setting"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:padding="15dp"
            android:src="@drawable/icon_setting"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_status_bar" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_avatar"
            android:layout_width="52dp"
            android:layout_height="52dp"
            android:layout_marginStart="14dp"
            android:layout_marginTop="74dp"
            android:src="@drawable/icon_teacher_default_head"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_status_bar" />

        <TextView
            android:id="@+id/tv_nickname"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginBottom="10dp"
            android:includeFontPadding="false"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_18"
            app:layout_constraintBottom_toTopOf="@+id/rating_bar"
            app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
            app:layout_constraintTop_toTopOf="@+id/iv_avatar"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="游客12e32td" />

        <ImageView
            android:id="@+id/iv_teacher_entry_tag"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:src="@drawable/icon_teahcer_entry_tag"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/tv_nickname"
            app:layout_constraintLeft_toRightOf="@+id/tv_nickname"
            app:layout_constraintTop_toTopOf="@+id/tv_nickname" />

        <ImageView
            android:id="@+id/iv_teacher_music_person_tag"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="3dp"
            android:src="@drawable/icon_teacher_music_person_tag"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/iv_teacher_entry_tag"
            app:layout_constraintLeft_toRightOf="@+id/iv_teacher_entry_tag"
            app:layout_constraintTop_toTopOf="@+id/iv_teacher_entry_tag" />

        <RatingBar
            android:id="@+id/rating_bar"
            style="@style/HomeRatingBar"
            android:layout_width="wrap_content"
            android:layout_height="19dp"
            android:isIndicator="true"
            android:numStars="5"
            android:rating="0"
            android:stepSize="1"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintLeft_toLeftOf="@+id/tv_nickname"
            app:layout_constraintTop_toBottomOf="@+id/tv_nickname" />

        <TextView
            android:id="@+id/tv_no_score"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="暂无评分"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintLeft_toLeftOf="@+id/tv_nickname"
            app:layout_constraintTop_toBottomOf="@+id/tv_nickname" />

        <ImageView
            android:id="@+id/iv_certification_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:src="@drawable/icon_home_un_certification"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/iv_avatar"
            tools:visibility="visible" />


        <View
            android:id="@+id/certification_tip_help_view"
            android:layout_width="1px"
            android:layout_height="1px"
            android:layout_marginBottom="15dp"
            app:layout_constraintBottom_toBottomOf="@+id/iv_certification_status"
            app:layout_constraintLeft_toLeftOf="@+id/iv_certification_status" />

        <ImageView
            android:id="@+id/iv_un_certification_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="10dp"
            android:src="@drawable/icon_home_certification_tip"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/certification_tip_help_view"
            tools:visibility="visible" />

        <LinearLayout
            android:id="@+id/ll_fans"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_22"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/ll_course_num_completed"
            app:layout_constraintTop_toBottomOf="@+id/iv_avatar">

            <TextView
                android:id="@+id/tv_fans_title"
                android:layout_width="wrap_content"
                android:layout_height="28dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:text="粉丝"
                android:textColor="@color/color_333333"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/tv_fans_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:paddingStart="3dp"
                android:text="0"
                android:textColor="@color/color_333333"
                android:textSize="@dimen/sp_17"
                android:textStyle="bold"
                tools:text="1181" />
        </LinearLayout>

        <View
            android:id="@+id/view_line1"
            android:layout_width="1dp"
            android:layout_height="12dp"
            android:background="@color/color_d3d3d3"
            app:layout_constraintBottom_toBottomOf="@+id/ll_fans"
            app:layout_constraintLeft_toRightOf="@+id/ll_fans"
            app:layout_constraintRight_toLeftOf="@+id/ll_course_num_completed"
            app:layout_constraintTop_toTopOf="@+id/ll_fans" />

        <LinearLayout
            android:id="@+id/ll_course_num_completed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            app:layout_constraintLeft_toRightOf="@+id/ll_fans"
            app:layout_constraintRight_toLeftOf="@+id/ll_course_num_not_start"
            app:layout_constraintTop_toTopOf="@+id/ll_fans">


            <TextView
                android:id="@+id/tv_course_num_completed_title"
                android:layout_width="wrap_content"
                android:layout_height="28dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:text="已上课时"
                android:textColor="@color/color_333333"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/tv_course_num_completed"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:paddingStart="3dp"
                android:text="0"
                android:textColor="@color/color_333333"
                android:textSize="@dimen/sp_17"
                android:textStyle="bold"
                tools:text="118" />
        </LinearLayout>

        <View
            android:id="@+id/view_line2"
            android:layout_width="1dp"
            android:layout_height="12dp"
            android:background="@color/color_d3d3d3"
            app:layout_constraintBottom_toBottomOf="@+id/ll_fans"
            app:layout_constraintLeft_toRightOf="@+id/ll_course_num_completed"
            app:layout_constraintRight_toLeftOf="@+id/ll_course_num_not_start"
            app:layout_constraintTop_toTopOf="@+id/ll_fans" />

        <LinearLayout
            android:id="@+id/ll_course_num_not_start"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            app:layout_constraintLeft_toRightOf="@+id/ll_course_num_completed"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/ll_fans">


            <TextView
                android:id="@+id/tv_course_num_not_start_title"
                android:layout_width="wrap_content"
                android:layout_height="28dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:text="未上课时"
                android:textColor="@color/color_333333"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/tv_course_num_not_start"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:paddingStart="3dp"
                android:text="0"
                android:textColor="@color/color_333333"
                android:textSize="@dimen/sp_17"
                android:textStyle="bold"
                tools:text="118" />
        </LinearLayout>

        <View
            android:id="@+id/view_top_bg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="14dp"
            android:layout_marginTop="19dp"
            android:layout_marginEnd="14dp"
            android:background="@drawable/bg_white_10dp"
            app:layout_constraintBottom_toTopOf="@+id/top_bottom_view"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/ll_fans"
            app:layout_goneMarginTop="@dimen/dp_26" />

        <TextView
            android:id="@+id/tv_mine_page"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="19dp"
            android:drawableTop="@drawable/icon_mine_page"
            android:drawablePadding="@dimen/dp_7"
            android:includeFontPadding="false"
            android:text="@string/mine_page_str"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toLeftOf="@+id/view_top_bg"
            app:layout_constraintRight_toLeftOf="@+id/tv_mine_style"
            app:layout_constraintTop_toTopOf="@+id/view_top_bg" />

        <TextView
            android:id="@+id/tv_mine_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_mine_style"
            android:drawablePadding="@dimen/dp_7"
            android:includeFontPadding="false"
            android:text="个人风采"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toRightOf="@+id/tv_mine_page"
            app:layout_constraintRight_toLeftOf="@+id/tv_open_live"
            app:layout_constraintTop_toTopOf="@+id/tv_mine_page" />

        <TextView
            android:id="@+id/tv_open_live"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_open_live"
            android:drawablePadding="@dimen/dp_7"
            android:includeFontPadding="false"
            android:text="开启直播"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toRightOf="@+id/tv_mine_style"
            app:layout_constraintRight_toLeftOf="@+id/iv_goods_order"
            app:layout_constraintTop_toTopOf="@+id/tv_mine_style" />

        <TextView
            android:id="@+id/iv_goods_order"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_goods_order"
            android:drawablePadding="@dimen/dp_7"
            android:includeFontPadding="false"
            android:text="商品订单"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toRightOf="@+id/tv_open_live"
            app:layout_constraintRight_toRightOf="@+id/view_top_bg"
            app:layout_constraintTop_toTopOf="@+id/tv_mine_style" />

        <TextView
            android:id="@+id/tv_sparing_course_set"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_27"
            android:drawableTop="@drawable/icon_sparing_course_set"
            android:drawablePadding="@dimen/dp_7"
            android:includeFontPadding="false"
            android:text="陪练课设置"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toLeftOf="@+id/tv_mine_page"
            app:layout_constraintRight_toRightOf="@+id/tv_mine_page"
            app:layout_constraintTop_toBottomOf="@+id/tv_mine_page" />

        <TextView
            android:id="@+id/tv_live_course"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_live_course"
            android:drawablePadding="@dimen/dp_7"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="@dimen/dp_48"
            android:text="直播课"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toLeftOf="@+id/tv_mine_style"
            app:layout_constraintRight_toRightOf="@+id/tv_mine_style"
            app:layout_constraintTop_toTopOf="@+id/tv_sparing_course_set" />


        <TextView
            android:id="@+id/tv_video_course"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/icon_video_course"
            android:drawablePadding="@dimen/dp_7"
            android:gravity="center"
            android:includeFontPadding="false"
            android:minWidth="@dimen/dp_48"
            android:text="视频课"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toLeftOf="@+id/tv_open_live"
            app:layout_constraintRight_toRightOf="@+id/tv_open_live"
            app:layout_constraintTop_toTopOf="@+id/tv_sparing_course_set" />


        <View
            android:id="@+id/top_bottom_view"
            android:layout_width="1px"
            android:layout_height="1px"
            android:layout_marginTop="28dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_sparing_course_set" />


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="14dp"
            android:layout_marginTop="15dp"
            android:layout_marginEnd="14dp"
            android:background="@drawable/bg_white_10dp"
            android:orientation="vertical"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_top_bg">

            <TextView
                android:id="@+id/tv_my_account"
                style="@style/me_btn_style"
                android:layout_marginTop="@dimen/dp_12"
                android:drawableLeft="@drawable/icon_music_person_cert"
                android:text="音乐人认证"
                android:textSize="@dimen/sp_14"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_music_status_tip"
                android:layout_width="wrap_content"
                android:layout_height="18dp"
                android:layout_marginEnd="25dp"
                android:text="@string/un_cert_str"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_13"
                app:layout_constraintBottom_toBottomOf="@+id/tv_my_account"
                app:layout_constraintRight_toRightOf="@+id/tv_my_account"
                app:layout_constraintTop_toTopOf="@+id/tv_my_account" />

            <TextView
                android:id="@+id/tv_authentication"
                style="@style/me_btn_style"
                android:drawableLeft="@drawable/icon_bank_card"
                android:text="银行卡"
                android:textSize="@dimen/sp_14"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_my_account" />


            <TextView
                android:id="@+id/tv_bank_card_bind_tip"
                android:layout_width="wrap_content"
                android:layout_height="18dp"
                android:layout_marginEnd="25dp"
                android:text="@string/no_bind_bank_card_tip"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_13"
                app:layout_constraintBottom_toBottomOf="@+id/tv_authentication"
                app:layout_constraintRight_toRightOf="@+id/tv_authentication"
                app:layout_constraintTop_toTopOf="@+id/tv_authentication" />

            <TextView
                android:id="@+id/tv_network_monitoring"
                style="@style/me_btn_style"
                android:drawableLeft="@drawable/icon_net_check"
                android:text="网络检测"
                android:textSize="@dimen/sp_14"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="@+id/tv_authentication"
                app:layout_constraintTop_toBottomOf="@+id/tv_authentication" />


            <TextView
                android:id="@+id/tv_equipment_testing"
                style="@style/me_btn_style"
                android:drawableLeft="@drawable/icon_equipment_testing"
                android:text="设备检测"
                android:textSize="@dimen/sp_14"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_network_monitoring" />

            <TextView
                android:id="@+id/tv_help"
                style="@style/me_btn_style"
                android:drawableLeft="@drawable/icon_help_center"
                android:text="帮助中心"
                android:textSize="@dimen/sp_14"
                android:visibility="visible"
                app:layout_constraintLeft_toLeftOf="@+id/tv_equipment_testing"
                app:layout_constraintTop_toBottomOf="@+id/tv_equipment_testing" />

            <TextView
                android:id="@+id/tv_feedback"
                style="@style/me_btn_style"
                android:drawableLeft="@drawable/icon_mine_feedback"
                android:text="意见反馈"
                android:textSize="@dimen/sp_14"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="@+id/tv_help"
                app:layout_constraintTop_toBottomOf="@+id/tv_help" />
        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</ScrollView>